//2024.3.6
#include <FastLED.h>

#define LED_PIN 7      //定义WS2812 RGB灯引脚
#define NUM_LEDS 12    //定义灯珠数量
#define BRIGHTNESS 64  //设定灯光亮度，范围0~255,数字越大越亮
CRGB leds[NUM_LEDS];   //定义一个长度为 NUM_LEDS 的 CRGB 类型数组，用于控制 WS2812B LED 条

void setup() {
  FastLED.addLeds<NEOPIXEL, LED_PIN>(leds, NUM_LEDS);  //使用NEOPIXEL类型
  FastLED.setBrightness(BRIGHTNESS);                   //初始化灯光亮度
}

void loop() {
  //渐变显示不同颜色 Gradients display different colors
  for (int hue = 0; hue < 255; hue++) {
    fill_rainbow(leds, NUM_LEDS, hue, 8);
    FastLED.show();
    delay(20);
  }
}
